Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.file.def
Class FileDefinition

    java.lang.Object
      org.jbpm.module.def.ModuleDefinition
          org.jbpm.file.def.FileDefinition

All Implemented Interfaces:
  java.io.Serializable

    public class FileDefinition

extends ModuleDefinition

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.module.def.ModuleDefinition
`name, processDefinition`

Constructor Summary
`FileDefinition()`

Method Summary
`void` | `addFile(java.lang.String name, byte[] bytes)` add a file to this definition.
`void` | `addFile(java.lang.String name, java.io.InputStream is)` add a file to this definition.
`ModuleInstance` | `createInstance()`
`byte[]` | `getBytes(java.lang.String name)` retrieve a file of this definition as a byte array.
`java.util.Map` | `getBytesMap()`
`java.io.InputStream` | `getInputStream(java.lang.String name)` retrieve a file of this definition as an inputstream.
`java.util.Map` | `getInputStreamMap()`
`boolean` | `hasFile(java.lang.String name)`

Methods inherited from class org.jbpm.module.def.ModuleDefinition
`equals, getId, getName, getProcessDefinition, setProcessDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDefinition

    public FileDefinition()

Method Detail

### createInstance

    public ModuleInstance createInstance()

  Specified by:
    `createInstance` in class `ModuleDefinition`

### addFile

    public void addFile(java.lang.String name,
                        byte[] bytes)

  add a file to this definition.

### addFile

    public void addFile(java.lang.String name,
                        java.io.InputStream is)

  add a file to this definition.

### getInputStream

    public java.io.InputStream getInputStream(java.lang.String name)

  retrieve a file of this definition as an inputstream.

### hasFile

    public boolean hasFile(java.lang.String name)

### getInputStreamMap

    public java.util.Map getInputStreamMap()

### getBytesMap

    public java.util.Map getBytesMap()

### getBytes

    public byte[] getBytes(java.lang.String name)

  retrieve a file of this definition as a byte array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD